<template>
  <div>
    <b-navbar :shadow="true" :spaced="false" :fixed-top="true" type="is-primary" wrapper-class="container">
      <template slot="brand">
        <b-navbar-item :to="{ path: '/' }" tag="router-link">
          <img
            src="https://raw.githubusercontent.com/buefy/buefy/dev/static/img/buefy-logo.png"
            alt="Lightweight UI components for Vue.js based on Bulma"
          >
        </b-navbar-item>
      </template>
      <template slot="end" v-if="$auth.loggedIn">
        <b-navbar-item href="/notifications">
          NOTIFICATIONS
        </b-navbar-item>
        <b-navbar-item href="/profile">
          PROFILE
        </b-navbar-item>
        <b-navbar-item href="/settings">
          SETTINGS
        </b-navbar-item>
        <b-navbar-item @click="logout">
          SIGN OUT
        </b-navbar-item>
      </template>
      <template slot="end" v-else>
        <b-navbar-item href="/login">
          LOGIN
        </b-navbar-item>
        <b-navbar-item href="/signup">
          SIGNUP
        </b-navbar-item>
      </template>
    </b-navbar>
  </div>
</template>

<script>
export default {
  methods: {
    async logout () {
      await this.$auth.logout()
      this.$store.dispatch('snackbar/setSnackbar', { text: 'Logged out successfully', type: 'is-success' })
    }
  }
}
</script>
